package kr.co.vividnext.sodalive.common

object Utils {
    fun convertDurationToString(duration: Int): String {
        val durationSeconds = duration / 1000
        val hours = (durationSeconds / 3600)
        val minutes = ((durationSeconds % 3600) / 60)
        val seconds = (durationSeconds % 60)

        return "%02d:%02d:%02d".format(hours, minutes, seconds)
    }

    fun convertStringToDuration(timeString: String): Long {
        val parts = timeString.split(":")
        if (parts.size != 3) {
            return 0
        }

        val hours = parts[0].toLong()
        val minutes = parts[1].toLong()
        val seconds = parts[2].toLong()

        return 1000 * (hours * 3600 + minutes * 60 + seconds)
    }
}
